Package com.independentsoft.office.drawing

# Class ConnectionShape

java.lang.Object
com.independentsoft.office.drawing.ConnectionShape

All Implemented Interfaces:
  `IGroupElement`

public class ConnectionShape extends Object implements IGroupElement
The Class ConnectionShape.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionShape()`
  Instantiates a new connection shape.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConnectionShape`
  `clone()`
  `String`
  `getDescription()`
  Gets the description.
  `ConnectionEnd`
  `getEnd()`
  Gets the end.
  `String`
  `getID()`
  Gets the id.
  `ConnectionShapeLocking`
  `getLocking()`
  Gets the locking.
  `String`
  `getName()`
  Gets the name.
  `ShapeProperties`
  `getShapeProperties()`
  Gets the shape properties.
  `ConnectionStart`
  `getStart()`
  Gets the start.
  `ShapeStyle`
  `getStyle()`
  Gets the style.
  `boolean`
  `isHidden()`
  Checks if is hidden.
  `void`
  `setDescription​(String description)`
  Sets the description.
  `void`
  `setEnd​(ConnectionEnd end)`
  Sets the end.
  `void`
  `setHidden​(boolean isHidden)`
  Sets the hidden.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setLocking​(ConnectionShapeLocking locking)`
  Sets the locking.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setStart​(ConnectionStart start)`
  Sets the start.
  `void`
  `setStyle​(ShapeStyle style)`
  Sets the style.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConnectionShape

    public ConnectionShape()
    Instantiates a new connection shape.

- ## Method Details

  - ### clone

    public ConnectionShape clone()
    Specified by:
      `clone` in interface `IGroupElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getShapeProperties

    public ShapeProperties getShapeProperties()
    Gets the shape properties.
    Returns:
      the shape properties

  - ### getStyle

    public ShapeStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(ShapeStyle style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### getLocking

    public ConnectionShapeLocking getLocking()
    Gets the locking.
    Returns:
      the locking

  - ### setLocking

    public void setLocking​(ConnectionShapeLocking locking)
    Sets the locking.
    Parameters:
      `locking` - the new locking

  - ### getStart

    public ConnectionStart getStart()
    Gets the start.
    Returns:
      the start

  - ### setStart

    public void setStart​(ConnectionStart start)
    Sets the start.
    Parameters:
      `start` - the new start

  - ### getEnd

    public ConnectionEnd getEnd()
    Gets the end.
    Returns:
      the end

  - ### setEnd

    public void setEnd​(ConnectionEnd end)
    Sets the end.
    Parameters:
      `end` - the new end

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getDescription

    public String getDescription()
    Gets the description.
    Returns:
      the description

  - ### setDescription

    public void setDescription​(String description)
    Sets the description.
    Parameters:
      `description` - the new description

  - ### isHidden

    public boolean isHidden()
    Checks if is hidden.
    Returns:
      true, if is hidden

  - ### setHidden

    public void setHidden​(boolean isHidden)
    Sets the hidden.
    Parameters:
      `isHidden` - the new hidden